Scriptname _SLSubmitBoundEffect extends activemagiceffect  

_SLSubmitConfig Property _SLConfig Auto
_SLSubmitFunctions Property _SLFunctions Auto
_SLSubmitQuest Property _SLQuest Auto
_SLSubmitScene Property _SLScene Auto
ReferenceAlias Property ActorFollower  Auto  
GlobalVariable Property BoundGlobal  Auto  
GlobalVariable Property EscapeBonus  Auto  
GlobalVariable Property RepeatGlobal  Auto
ReferenceAlias Property ActorBully  Auto
Actor Property PlayerRef Auto

Event OnEffectStart(actor target, actor caster)
	If (BoundGlobal.GetValue() == 0)
		BoundGlobal.SetValue(1)
	EndIf
	If (ActorBully.GetActorRef() != None)
		_SLScene.PlayerRob()
		If (ActorFollower.GetActorRef() != None)
			_SLScene.FollowerRob(ActorFollower.GetActorRef())
		EndIf
	EndIf
	EscapeBonus.SetValue(0)
	RepeatGlobal.SetValue(0)
	If (_SLConfig.debugActive)
		debug.Notification("You have been bound!")
	EndIf
	Game.DisablePlayerControls(true, true, false, false, false, true, false, false)
	Debug.SendAnimationEvent(Target, "IdleHandsBehindBack")
	If (ActorFollower.GetActorRef() != none)
		Debug.SendAnimationEvent(ActorFollower.GetActorRef(), "IdleHandsBehindBack")
	EndIf
	_SLScene.WRT(2.0)
	Debug.SendAnimationEvent(Target, "IdleBoundKneesStart")
	If (ActorFollower.GetActorRef() != none)
		Debug.SendAnimationEvent(ActorFollower.GetActorRef(), "IdleBoundKneesStart")
	EndIf
	_SLScene.WRT(2.0)
	If (_SLQuest.ZazPack)
		Debug.SendAnimationEvent(Target, "ZaZAPCAO055")
		If (ActorFollower.GetActorRef() != none)
			Debug.SendAnimationEvent(ActorFollower.GetActorRef(), "ZaZAPCAO055")
		EndIf
	EndIf
	_SLFunctions.ClearAssailants()
EndEvent

Event OnEffectFinish(actor target, actor caster)
	If (_SLConfig.debugActive)
		debug.Notification("You can now attempt to work free of your bindings!")
	EndIf
	BoundGlobal.SetValue(2)
	If (_SLConfig.RepeatActive)
		_SLFunctions.RepeatRate()
	EndIf
EndEvent
