Scriptname _SLSubmitBoundEndEffect extends activemagiceffect  

_SLSubmitConfig Property _SLConfig Auto
_SLSubmitQuest Property _SLQuest Auto
_SLSubmitScene Property _SLScene Auto
ReferenceAlias Property ActorFollower  Auto  
Spell Property _SLSubmitBully Auto
Armor Property _SLSubmitCuffs Auto
Actor Property PlayerRef Auto
GlobalVariable Property _SLSubmitBeatenGlobal  Auto

Event OnEffectStart(actor target, actor caster)
	Debug.SendAnimationEvent(Target, "IdleHandsBehindBack")
	If (ActorFollower.GetActorRef() != none)
		Debug.SendAnimationEvent(ActorFollower.GetActorRef(), "IdleHandsBehindBack")
	EndIf
	_SLSubmitBeatenGlobal.SetValue(0)
	If (!_SLConfig.HardcoreActive)
		If (_SLConfig.debugActive)
			debug.Notification("You have worked free of your bindings!")
		EndIf
		_SLScene.WRT(1.0)
		Game.EnablePlayerControls()
		_SLSubmitBully.Cast(PlayerRef)
		Debug.SendAnimationEvent(Target, "IdleForceDefaultState")
		If (ActorFollower.GetActorRef() != none)
			Debug.SendAnimationEvent(ActorFollower.GetActorRef(), "IdleForceDefaultState")
			ActorFollower.Clear()
		EndIf
	Else
		Target.AddItem(_SLSubmitCuffs,1,true)
		Target.EquipItem(_SLSubmitCuffs,true,true)
		If (ActorFollower.GetActorRef() != none)
			ActorFollower.GetActorRef().AddItem(_SLSubmitCuffs,1,true)
			ActorFollower.GetActorRef().UnequipAll()
			ActorFollower.GetActorRef().EquipItem(_SLSubmitCuffs,true,true)
		EndIf
		If (_SLConfig.debugActive)
			debug.Notification("Your wrists are still bound! Find a guard or friendly NPC to assist you!")
		EndIf
		_SLScene.WRT(1.0)
		Game.EnablePlayerControls(1,0,1,1,1,0,1)
		_SLSubmitBully.Cast(PlayerRef)
		Debug.SendAnimationEvent(ActorFollower.GetActorRef(), "IdleForceDefaultState")
		ActorFollower.Clear()
	EndIf
EndEvent