Scriptname _SLSubmitCalmEffect extends ActiveMagicEffect  

_SLSubmitScene Property _SLScene auto
Spell Property _SLSubmitBullyCloak Auto
Faction Property _SLSubmitRecoverFaction Auto
Faction Property _SLSubmitVictimFaction Auto
Faction Property _SLSubmitBusyFaction Auto
Actor Property PlayerRef Auto
Bool Property Cower Auto
Actor Victim


;Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
;	If (PlayerRef.IsWeaponDrawn() && PlayerRef.IsInCombat())
;		_SLSubmitBullyCloak.Cast(PlayerRef)
;	EndIf
;EndEvent

Event OnEffectStart(actor target, actor caster)
	Victim = target
	RegisterForLOS(Victim, PlayerRef)
	Cower = 0
EndEvent

Event OnEffectEnd(actor target, actor caster)
	Victim = target
	UnregisterForLOS(Victim, PlayerRef)
	Cower = 0
EndEvent

Event OnGainLOS(Actor Viewer, ObjectReference Target)
	If (Viewer == Victim && Target == PlayerRef && Cower == 0 && !Victim.IsInFaction(_SLSubmitRecoverFaction) && Victim.IsInFaction(_SLSubmitVictimFaction) && !Victim.IsInFaction(_SLSubmitBusyFaction))
		Cower = 1
		_SLScene.WRT(0.1)
		Debug.SendAnimationEvent(Victim, "IdleForceDefaultState")
		_SLScene.WRT(0.1)
		Debug.SendAnimationEvent(Victim, "IdleCowerEnter")
	EndIf
EndEvent

Event OnLostLOS(Actor Viewer, ObjectReference Target)
	If (Viewer == Victim && Target == PlayerRef && Cower == 1 && !Victim.IsInFaction(_SLSubmitRecoverFaction) && Victim.IsInFaction(_SLSubmitVictimFaction) && !Victim.IsInFaction(_SLSubmitBusyFaction))
		Cower = 0
		_SLScene.WRT(0.1)
		Debug.SendAnimationEvent(Victim, "IdleForceDefaultState")
	EndIf
EndEvent